org.apache.directory.mavibot.btree.exception

## Class RecordManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.directory.mavibot.btree.exception.RecordManagerException

- All Implemented Interfaces:
    Serializable

      public class RecordManagerException
      extends RuntimeException

  An exception thrown when we have an exception on a RecordManager operation
  Author:
    Apache Directory Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordManagerException()` Creates a new instance of RecordManagerException.
    `RecordManagerException(String explanation)` Creates a new instance of RecordManagerException.
    `RecordManagerException(String explanation, Throwable cause)` Creates a new instance of RecordManagerException.
    `RecordManagerException(Throwable cause)` Creates a new instance of RecordManagerException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordManagerException

          public RecordManagerException()

      Creates a new instance of RecordManagerException.

    - #### RecordManagerException

          public RecordManagerException(String explanation)

      Creates a new instance of RecordManagerException.
      Parameters:
        `explanation` - The message associated with the exception

    - #### RecordManagerException

          public RecordManagerException(Throwable cause)

      Creates a new instance of RecordManagerException.

    - #### RecordManagerException

          public RecordManagerException(String explanation,
                                Throwable cause)

      Creates a new instance of RecordManagerException.
      Parameters:
        `explanation` - The message associated with the exception
        `cause` - The root cause for this exception

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.